<?php
/*
  $Id: automatic_responses.php 2014/08/20 figue Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2014 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  $action = (isset($_GET['action']) ? $_GET['action'] : '');
  $languages = tep_get_languages();

// Sets the status of a response
  function tep_set_response_status($responses_id, $status) {
    if ($status == '1') {
      return tep_db_query("update " . TABLE_RESPONSES . " set status = '1'  where responses_id = '" . $responses_id . "'");
    } elseif ($status == '0') {
      return tep_db_query("update " . TABLE_RESPONSES . " set status = '0'  where responses_id = '" . $responses_id . "'");
    } else {
      return -1;
    }
  }

  if (tep_not_null($action)) {
    switch ($action) {
      case 'setflag':
        if ( ($_GET['flag'] == '0') || ($_GET['flag'] == '1') ) {
          tep_set_response_status($_GET['bID'], $_GET['flag']);

          $messageStack->add_session(SUCCESS_RESPONSE_STATUS_UPDATED, 'success');
        } else {
          $messageStack->add_session(ERROR_UNKNOWN_STATUS_FLAG, 'error');
        }

        tep_redirect(tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $_GET['bID']));
        break;
      case 'insert':
      case 'update':
        if (isset($_POST['responses_id'])) $responses_id = tep_db_prepare_input($_POST['responses_id']);
        $responses_title = tep_db_prepare_input($_POST['responses_title']);
        $responses_alt = tep_db_prepare_input($_POST['responses_alt']);
        $responses_description = tep_db_prepare_input($_POST['responses_description']);
        $sort_order = tep_db_prepare_input($_POST['sort_order']);
        $new_responses_group = tep_db_prepare_input($_POST['new_responses_group']);
        $responses_group = (empty($new_responses_group)) ? tep_db_prepare_input($_POST['responses_group']) : $new_responses_group;

		$response_error = false;

        if (empty($responses_group)) {
          $messageStack->add(ERROR_RESPONSE_GROUP_REQUIRED, 'error');
          $response_error = true;
        }
				
		for ($i=0, $n=sizeof($languages); $i<$n; $i++) {

			$title_field_name=$_POST['responses_title_'.$languages[$i]['id']];
	        if (empty($title_field_name)) {
				$messageStack->add(ERROR_RESPONSE_TITLE_REQUIRED, 'error');
				$response_error = true;
			}
		}
        if (empty($responses_description)) {
        }
        if ($response_error == false) {

			$messageSt = false;
			
		  for ($i=0, $n=sizeof($languages); $i<$n; $i++) {

			$responses_titlem=$_POST['responses_title_'.$languages[$i]['id']];
			$responses_altm=$_POST['responses_alt_'.$languages[$i]['id']];
			$responses_descriptionm=$_POST['responses_description_'.$languages[$i]['id']];
			$language_idm='language_id_'.$languages[$i]['id'];

					  $sql_data_array_responses = array('sort_order' => $sort_order,
													'status' => '1',
													'responses_group' => $responses_group);

					  $sql_data_array_responses_description = array('responses_title' => $responses_titlem,
																'responses_alt' => $responses_altm,
																'responses_description' => stripslashes($responses_descriptionm));

					 if ($action == 'insert') {
					   $bID="";
					 
					 if ($i == 0)  {
						tep_db_perform(TABLE_RESPONSES, $sql_data_array_responses);
						$responses_id = tep_db_insert_id();
					 }

						$responseid_merge= array('responses_id' => $responses_id,
											 'language_id' => $languages[$i]['id']);

						$sql_data_array_responses_desc = array_merge($sql_data_array_responses_description, $responseid_merge);

						tep_db_perform(TABLE_RESPONSES_DESCRIPTION, $sql_data_array_responses_desc);

					  $messageSt = true;
					  $messageSta = SUCCESS_RESPONSE_INSERTED;

					  } elseif ($action == 'update') {

					  if ($i == 0)  {
						tep_db_perform(TABLE_RESPONSES, $sql_data_array_responses, 'update', "responses_id = '" . (int)$responses_id . "'");
					  }

					  $selectexists=tep_db_query("select count( * ) as `countrecords` from `".TABLE_RESPONSES_DESCRIPTION."` where responses_id='" . (int)$responses_id . "' and language_id='".$languages[$i]['id']."'");
					  $recordexists = tep_db_fetch_array($selectexists);

					  if($recordexists['countrecords'] >= 1 )  {
					  tep_db_perform(TABLE_RESPONSES_DESCRIPTION, $sql_data_array_responses_description, 'update', "responses_id = '" . (int)$responses_id . "' and language_id='".$languages[$i]['id']."'");
					  }
					  else  {

							$responseid_merge= array('responses_id' => $responses_id,
						   'language_id' => $languages[$i]['id']);

					  $sql_data_array_responses_desc = array_merge($sql_data_array_responses_description, $responseid_merge);
					  tep_db_perform(TABLE_RESPONSES_DESCRIPTION, $sql_data_array_responses_desc);
					  }

					  $messageSt = true;
					  $messageSta = SUCCESS_RESPONSE_UPDATED;
					  }
					  
			} //for

		if ($messageSt == true) $messageStack->add_session($messageSta, 'success');

          tep_redirect(tep_href_link(FILENAME_RESPONSE_MANAGER, (isset($_GET['response']) ? 'response=' . $_GET['response'] . '&' : '') . 'bID=' . $responses_id));
        } else {
          $action = 'new';
        }

        break;


      case 'deleteconfirm':
        $responses_id = tep_db_prepare_input($_GET['bID']);

        tep_db_query("delete from " . TABLE_RESPONSES . " where responses_id = '" . (int)$responses_id . "'");
        tep_db_query("delete from " . TABLE_RESPONSES_DESCRIPTION . " where responses_id = '" . (int)$responses_id . "'");

        $messageStack->add_session(SUCCESS_RESPONSE_REMOVED, 'success');

        tep_redirect(tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response']));
        break;
    }

  }
require(DIR_WS_INCLUDES . 'template_top.php');
?>
<script language="javascript">
	function disableIt(a){
		document.getElementById(a).disabled=true;
	}

	function enableIt(a){
		document.getElementById(a).disabled=false;
	}
</script>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
          <tr>
            <td colspan="2" class="main" align="left"><?php echo '<span class="smallText">' . TEXT_RESPONSES_ATTENTION . '</span><br>'; ?></td>
          </tr>
        </table></td>
      </tr>
<?php


  if ($action == 'new') {
    $form_action = 'insert';

    $parameters = array('responses_title' => '',
                        'responses_alt' => '',
                        'responses_description' => '',
                        'sort_order' =>'',
						'responses_group' => '',
                        'status' =>'');

    $bInfo = new objectInfo($parameters);

    if (isset($_GET['bID'])) {
      $form_action = 'update';

      $bID = tep_db_prepare_input($_GET['bID']);



      $response_query = tep_db_query("select
                                    s.status,
                                    s.sort_order,
									s.responses_group,
                                    p.responses_title,
                                    p.responses_alt,
                                    p.responses_description,
                                    p.language_id
                                  from
                                    " . TABLE_RESPONSES . " s left join " . TABLE_RESPONSES_DESCRIPTION . " p on s.responses_id=p.responses_id
                                  where
                                    s.responses_id = '" . (int)$bID . "'");

						while($response = tep_db_fetch_array($response_query))  {
							$languageid=$response['language_id'];
							$responsetitle[$languageid]= $response['responses_title'];
							$responsealt[$languageid]= $response['responses_alt'];
							$sortorder=$response['sort_order'];
							$responsesgroup=$response['responses_group'];
							$responses_description[$languageid]=$response['responses_description'];
						}

    } elseif (tep_not_null($_POST)) {
      $bInfo->objectInfo($_POST);
    }

	$bIDif="";
	if(!empty($bID) && $bID != "")  {
		$bIDif='&bID='.$bID;
	}
	
 // grupo
    $groups_array = array();
    $groups_query = tep_db_query("select distinct responses_group from " . TABLE_RESPONSES . " order by responses_group");
    while ($groups = tep_db_fetch_array($groups_query)) {
      $groups_array[] = array('id' => $groups['responses_group'], 'text' => $groups['responses_group']);
    }
 // fin grupo
 
 ?>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr><?php echo tep_draw_form('new_response', FILENAME_RESPONSE_MANAGER, (isset($_GET['response']) ? 'response=' . $_GET['response'] . '&' : '') . 'action=' . $form_action.$bIDif, 'post', 'enctype="multipart/form-data"'); if ($form_action == 'update') echo tep_draw_hidden_field('responses_id', $bID); ?>
        <td><table border="0" cellspacing="0" cellpadding="2">

<?php // grupo ?> 
          <tr>
            <td class="main" valign="top"><?php echo TEXT_RESPONSES_GROUP; ?></td>
            <td class="main"><?php echo tep_draw_pull_down_menu('responses_group', $groups_array, $responsesgroup) . TEXT_RESPONSES_NEW_GROUP . '<br />' . tep_draw_input_field('new_responses_group', '', '', ((sizeof($groups_array) > 0) ? false : true)); ?></td>
          </tr>
<?php // fin grupo ?>
		<?php for ($i=0, $n=sizeof($languages); $i<$n; $i++) { ?>
          <tr>
			 <td class="main"><?php if ($i == 0) echo TEXT_RESPONSES_TITLE; ?></td>
			 <td class="main"><?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']). '&nbsp;'.tep_draw_input_field('responses_title_'.$languages[$i]['id'], $responsetitle[$languages[$i]['id']], '', true); ?></td>
          </tr>

          <tr>
			 <td class="main"><?php if ($i == 0) echo TEXT_RESPONSES_ALT; ?></td>
			 <td class="main"><?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']). '&nbsp;'.tep_draw_input_field('responses_alt_'.$languages[$i]['id'], $responsealt[$languages[$i]['id']], '', true); ?></td>
          </tr>
		<?php } ?>
		
          <tr>
            <td class="main"><?php echo TEXT_RESPONSES_SORT_ORDER; ?></td>
            <td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' .  tep_draw_input_field('sort_order', $sortorder, '', false); ?></td>
          </tr>

          <tr>
            <td class="main">&nbsp;</td>
            <td class="main">&nbsp;</td>
          </tr>

<?php
 for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
?>

<tr>
<td valign="top" class="main" colspan="2"><br>
<?php echo tep_image(DIR_WS_CATALOG_LANGUAGES . $languages[$i]['directory'] . '/images/' . $languages[$i]['image'], $languages[$i]['name']). '&nbsp;'. tep_draw_textarea_field('responses_description_'.$languages[$i]['id'],'soft','100','10', $responses_description[$languages[$i]['id']]); ?>
</td>
</tr>

<?php
}
?>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main" align="center"><?php echo TEXT_RESPONSES_RESPONSE_NOTE . '<br>'; ?></td>
            <td class="main" align="right" valign="top">
			<?php echo tep_draw_button(IMAGE_SAVE, 'disk', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link(FILENAME_RESPONSE_MANAGER, (isset($_GET['response']) ? 'response=' . $_GET['response'] . '&' : '') . (!empty($bID) and $bID != "" ? 'bID=' . $bID : ''))); ?>
			</td>
          </tr>
        </table>
<input type="hidden" name="bID" value="<?php echo $bID; ?>">
</td>
      </form></tr>
<?php
  } else {
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow" width="100%">
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_RESPONSES; ?></td>
                <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_RESPONSES_ALT; ?></td>
                <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_GROUPS; ?></td>
                <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_SORT_ORDER; ?></td>
                <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_STATUS; ?></td>
                <td class="dataTableHeadingContent"></td>
                <td class="dataTableHeadingContent"></td>
              </tr>
<?php
    $responses_query_raw = "select p.responses_id, p.status, p.sort_order, p.responses_group, s.responses_title, s.responses_alt from " . TABLE_RESPONSES . " p LEFT JOIN " .TABLE_RESPONSES_DESCRIPTION . " s on p.responses_id = s.responses_id where s.language_id='" . (int)$languages_id . "' order by p.responses_group, p.sort_order, s.responses_title";

    $responses_split = new splitPageResults($_GET['response'], MAX_DISPLAY_SEARCH_RESULTS_RESPONSES, $responses_query_raw, $responses_query_numrows);
    $responses_query = tep_db_query($responses_query_raw);
    while ($responses = tep_db_fetch_array($responses_query)) {

      if ((!isset($_GET['bID']) || (isset($_GET['bID']) && ($_GET['bID'] == $responses['responses_id']))) && !isset($bInfo) && (substr($action, 0, 3) != 'new')) {
        $bInfo_array = array_merge($responses, (array) $info);
        $bInfo = new objectInfo($bInfo_array);
      }

      if (isset($bInfo) && is_object($bInfo) && ($responses['responses_id'] == $bInfo->responses_id)) {
        echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $responses['responses_id']) . '\'">' . "\n";
      } else {
        echo '              <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $responses['responses_id']) . '\'">' . "\n";
      }
?>
                    <td class="dataTableContent" align="left"><?php echo '<a href="javascript:popupImageWindow(\'' . FILENAME_POPUP_IMAGE . '?response=' . $responses['responses_id'] . '\')">' . tep_image(DIR_WS_IMAGES . 'icon_popup.gif', 'View Page') . '</a>&nbsp;' . $responses['responses_title']; ?></td>
                    <td class="dataTableContent" align="center"><?php echo $responses['responses_alt']; ?></td>
                    <td class="dataTableContent" align="center"><?php echo $responses['responses_group']; ?></td>
                    <td class="dataTableContent" align="center"><?php echo $responses['sort_order']; ?></td>
                    <td class="dataTableContent" align="center"> 
                      <?php
      if ($responses['status'] == '1') {
        echo tep_image(DIR_WS_IMAGES . 'icon_status_green.gif', 'Active', 10, 10) . '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $responses['responses_id'] . '&action=setflag&flag=0') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', 'Set Inactive', 10, 10) . '</a>';
      } else {
        echo '<a href="' . tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $responses['responses_id'] . '&action=setflag&flag=1') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', 'Set Active', 10, 10) . '</a>&nbsp;&nbsp;' . tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', 'Inactive', 10, 10);
      }
?>
                    </td>
                    <td class="dataTableContent" align="right"></td>
                    <td class="dataTableContent" align="right"></td>
              </tr>
<?php
    }
?>
              <tr>
                <td colspan="5"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $responses_split->display_count($responses_query_numrows, MAX_DISPLAY_SEARCH_RESULTS_RESPONSES, $_GET['response'], TEXT_DISPLAY_NUMBER_OF_RESPONSES); ?></td>
                    <td class="smallText" align="right"><?php echo $responses_split->display_links($responses_query_numrows, MAX_DISPLAY_SEARCH_RESULTS_RESPONSES, MAX_DISPLAY_RESPONSE_LINKS, $_GET['response']); ?></td>
                  </tr>
                  <tr>
                    <td class="smallText" align="right" colspan="2"><?php echo tep_draw_button(IMAGE_NEW_RESPONSE, 'plus', tep_href_link(FILENAME_RESPONSE_MANAGER, 'action=new')); ?></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();
  switch ($action) {
    case 'delete':
      $heading[] = array('text' => '<b>' . $bInfo->responses_title . '</b> - ' . $bInfo->responses_alt);

      $contents = array('form' => tep_draw_form('responses', FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $bInfo->responses_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
      $contents[] = array('text' => '<br><b>' . $bInfo->responses_title . '</b> - ' . $bInfo->responses_alt);
      if ($bInfo->responses_image) $contents[] = array('text' => '<br />' . tep_draw_checkbox_field('delete_image', 'on', true) . ' ' . TEXT_INFO_DELETE_IMAGE);
  //    $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_delete.gif', IMAGE_DELETE) . '&nbsp;<a href="' . tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $_GET['bID']) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      $contents[] = array('align' => 'center', 'text' => '<br />' . tep_draw_button(IMAGE_DELETE, 'trash', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $_GET['bID'])));
      break;
    default:
      if (is_object($bInfo)) {
        $heading[] = array('text' => '<b>' . $bInfo->responses_title . '</b> - ' . $bInfo->responses_alt);

        $contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_EDIT, 'document', tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $bInfo->responses_id . '&action=new')) . tep_draw_button(IMAGE_DELETE, 'trash', tep_href_link(FILENAME_RESPONSE_MANAGER, 'response=' . $_GET['response'] . '&bID=' . $bInfo->responses_id . '&action=delete')));

        if ($bInfo->date_scheduled) $contents[] = array('text' => '<br>' . sprintf(TEXT_RESPONSES_SCHEDULED_AT_DATE, tep_date_short($bInfo->date_scheduled)));

        if ($bInfo->expires_date) {
          $contents[] = array('text' => '<br>' . sprintf(TEXT_RESPONSES_EXPIRES_AT_DATE, tep_date_short($bInfo->expires_date)));
        } elseif ($bInfo->expires_impressions) {
          $contents[] = array('text' => '<br>' . sprintf(TEXT_RESPONSES_EXPIRES_AT_IMPRESSIONS, $bInfo->expires_impressions));
        }

        if ($bInfo->date_status_change) $contents[] = array('text' => '<br>' . sprintf(TEXT_RESPONSES_STATUS_CHANGE, tep_date_short($bInfo->date_status_change)));
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
</table>
<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>